/*
 *
 * exESTMLP.cpp  Estimates the size of the stochastic LP.
 *
 *         Reads problem from file <file>.spl and estimates the number of
 *         rows, columns and the elements.
 *         (compile with /DOSLMSDLL on INTEL platforms.)
 */


#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <assert.h>
#include "scn_c_api.h"

#define MXSCN 1000            /* maximum scenarios */

void main( long argc, char *argv[] ) {
    ekks_initialize();                                 /* Initialize OSL environment */
    {
      EKKStoch *stoch=ekks_createStoch(NULL,MXSCN);    /* Create an EKKStoch object */
      ekks_readNativeData(stoch,"app0110.spl");        /* Read model data from native SPL file */
      ekks_estimateLPSize(stoch);                      /* Estimate the size of the stochastic LP */
                                                       /* Write stochastic data out to files in SMPS format */
      ekks_outMatrixSMPS(stoch,SCENARIOS,1,"myapp.core","myapp.time","myapp.stoch");
      ekks_deleteStoch(stoch);                         /* Delete the object */
    }
    ekks_end();                                        /* Uninitialize OSL environment */
}
