/*
 * exScopy.cpp:  Main driver for reading SMPS-files and solving.
 *
 *         Reads problem from SMPS files and solves using
 *         ekks_bendersLSolve().
 *         (compile with  /DOSLMSDLL on INTEL platforms.)
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <assert.h>
#include "scn_c_api.h"

#define COLUMNS 0
#define ROWS    1
#define MXSCN 15000            /* maximum scenarios */

void main( long argc, char *argv[] ) {
    ekks_initialize();
    { long rc=0;
      EKKStoch *stoch=ekks_createStoch(NULL,15000);    /* Create an EKKStoch object */
      long type=ekks_readSMPSData(stoch,"app0110.core","app0110.time","app0110.stoch");  /* Read model data from SMPS files */
      if (type<0) exit(999);
      ekks_describeFullModel(stoch,1);                      /* Describe Full model and populate with data */
      ekks_bendersLSolve(stoch,1);                          /* Solve using bendersLSolve() -- (parm2=0) No Hotstart */
      if (rc > 0) exit (999);

        EKKStoch *stoch2=ekks_createStoch(NULL,MXSCN);
        rc=ekks_copyStoch(stoch2,stoch);
        if (rc > 0) exit (999);
        ekkse_nestedLSolve(stoch2,1,0);                        /* Solve using nestedLSolve() -- (parm3=0) No Hotstart */
        ekks_deleteStoch(stoch2);                              /* Delete the object */

      ekks_deleteStoch(stoch);                              /* Delete the object */
    }
    ekks_end();
}
